Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
ACG::SceneGraph::ACG::TextureBuffer Class Reference
Inheritance diagram for ACG::SceneGraph::ACG::TextureBuffer:

## Public Member Functions
| TextureBuffer (GLenum u=GL_NONE)
void | setBufferData (int _size, const void *_data, GLenum _internalFormat, GLenum _usage=GL_STATIC_DRAW)
int | getBufferSize () const
GLuint | getBufferId () const
GLenum | getUsage () const
GLenum | getFormat () const
bool | getBufferData (void *_dst)
bool | getBufferData (std::vector< char > &_dst)
Public Member Functions inherited from ACG::SceneGraph::ACG::Texture
| Texture (GLenum tgt, GLenum _unit=GL_NONE)
void | bind (GLenum _unit)
void | activate (GLenum _unit)
void | bind ()
void | activate ()
void | parameter (GLenum pname, GLint i)
void | parameter (GLenum pname, GLfloat f)
void | parameter (GLenum pname, GLint *ip)
void | parameter (GLenum pname, GLfloat *fp)
void | enable ()
void | disable ()
void | del ()
void | gen ()
bool | is_valid () const
GLuint | id () const
void | setUnit (GLenum u)
GLenum | getUnit () const
GLenum | getTarget () const
GLint | getInternalFormat ()
bool | clear (const ACG::Vec4f &_color)
bool | clear (const ACG::Vec4i &_color)
bool | clear (const ACG::Vec4ui &_color)
void | bindAsImage (GLuint _index, GLenum _access)

## Private Attributes
int | bufferSize_
GLuint | buffer_
GLenum | usage_
GLenum | fmt_

## Additional Inherited Members
Static Public Member Functions inherited from ACG::SceneGraph::ACG::Texture
static bool | supportsImageLoadStore ()
static bool | supportsTextureBuffer ()
static bool | supportsClearTexture ()
static bool | supportsGenerateMipmap ()
Protected Attributes inherited from ACG::SceneGraph::ACG::Texture
GLint | internalFormat_

## Detailed Description

Definition at line 522 of file MeshNode2T.cc.

The documentation for this class was generated from the following file:

- ACG/Scenegraph/MeshNode2T.cc